{-# OPTIONS_GHC -optc-D__HUGS__ #-}
{-# INCLUDE "ldap.h" #-}
{-# LINE 1 "LDAP/Constants.hsc" #-}
{- -*- Mode: haskell; -*-
{-# LINE 2 "LDAP/Constants.hsc" #-}
Haskell LDAP Interface
Copyright (C) 2005 John Goerzen <jgoerzen@complete.org>

This code is under a 3-clause BSD license; see COPYING for details.
-}

{- |
   Module     : LDAP.Constants
   Copyright  : Copyright (C) 2005-2006 John Goerzen
   License    : BSD

   Maintainer : John Goerzen,
   Maintainer : jgoerzen\@complete.org
   Stability  : provisional
   Portability: portable

LDAP constants for use in your programs

Written by John Goerzen, jgoerzen\@complete.org
-}

module LDAP.Constants(module LDAP.Constants)
where
import Foreign.C.Types
import LDAP.Types


{-# LINE 29 "LDAP/Constants.hsc" #-}

ldapPort :: LDAPInt
ldapPort =  389
ldapsPort :: LDAPInt
ldapsPort =  636
ldapApiVersion :: LDAPInt
ldapApiVersion =  2004
ldapVendorName :: LDAPInt
ldapVendorName =  2773952
ldapApiInfoVersion :: LDAPInt
ldapApiInfoVersion =  1
ldapFeatureInfoVersion :: LDAPInt
ldapFeatureInfoVersion =  1
ldapControlValuesreturnfilter :: LDAPInt
ldapControlValuesreturnfilter =  2774056
ldapControlSubentries :: LDAPInt
ldapControlSubentries =  2774104
ldapControlNoop :: LDAPInt
ldapControlNoop =  2774152
ldapControlManagedsait :: LDAPInt
ldapControlManagedsait =  2774208
ldapControlProxyAuthz :: LDAPInt
ldapControlProxyAuthz =  2774264
ldapControlSortrequest :: LDAPInt
ldapControlSortrequest =  2774328
ldapControlSortresponse :: LDAPInt
ldapControlSortresponse =  2774384
ldapControlVlvrequest :: LDAPInt
ldapControlVlvrequest =  2774432
ldapControlVlvresponse :: LDAPInt
ldapControlVlvresponse =  2774488
ldapNoticeOfDisconnection :: LDAPInt
ldapNoticeOfDisconnection =  2774552
ldapNoticeDisconnect :: LDAPInt
ldapNoticeDisconnect =  2774552

{-# LINE 37 "LDAP/Constants.hsc" #-}

ldapFilterAnd :: BERTag
ldapFilterAnd =  160
ldapFilterOr :: BERTag
ldapFilterOr =  161
ldapFilterNot :: BERTag
ldapFilterNot =  162
ldapFilterEquality :: BERTag
ldapFilterEquality =  163
ldapFilterSubstrings :: BERTag
ldapFilterSubstrings =  164
ldapFilterGe :: BERTag
ldapFilterGe =  165
ldapFilterLe :: BERTag
ldapFilterLe =  166
ldapFilterPresent :: BERTag
ldapFilterPresent =  135
ldapFilterApprox :: BERTag
ldapFilterApprox =  168
ldapFilterExt :: BERTag
ldapFilterExt =  169
ldapFilterExtOid :: BERTag
ldapFilterExtOid =  129
ldapFilterExtType :: BERTag
ldapFilterExtType =  130
ldapFilterExtValue :: BERTag
ldapFilterExtValue =  131
ldapFilterExtDnattrs :: BERTag
ldapFilterExtDnattrs =  132
ldapSubstringAny :: BERTag
ldapSubstringAny =  129
ldapSubstringFinal :: BERTag
ldapSubstringFinal =  130
ldapSubstringInitial :: BERTag
ldapSubstringInitial =  128

{-# LINE 44 "LDAP/Constants.hsc" #-}

